#ifndef DEBUGWINDOW_H_
#define DEBUGWINDOW_H_

namespace system {
	class DebugWindow {
		int cursor_y_;
		int xpos_, ypos_, xsize_, ysize_;
		Sheet* sht_win_;
		static const color_16 BACK_COLOR = 0x0000;
	public:	
		DebugWindow(int xpos, int ypos, int xsize, int ysize);
		DebugWindow& operator <<(const char* str);
		void flush();
	};
}

#endif /*DEBUGWINDOW_H_*/
